<% if @item[:feedback].nil? %>
<div class="help-and-feedback-section mb-5">
  <a
    data-toggle="collapse"
    href="#help-feedback-content"
    class="help-and-feedback-toggle text-decoration-none"
    aria-expanded="false"
    aria-controls="help-feedback-content"
  >
    <h2 class="help-and-feedback-title" id="help-and-feedback">
      <%= icon('question', nil, 'help-icon') %> Help & feedback <%= icon('chevron-lg-up', nil,
      'toggle-icon') %>
    </h2>
  </a>
  <div class="collapse show" id="help-feedback-content">
    <div class="row mt-3">
      <div class="col-md-8">
        <div>
          <h3 class="help-and-feedback-heading">Docs</h3>
          <a
            class="help-and-feedback-link"
            href="<%= edit_on_gitlab(@item) %>"
            target="_blank"
            rel="noopener noreferrer"
            >Edit this page</a
          >
          to fix an error or add an improvement in a merge request.<br />
          <a
            class="help-and-feedback-link"
            href="https://gitlab.com/gitlab-org/gitlab/-/issues/new?issue[description]=Link%20the%20doc%20and%20describe%20what%20is%20wrong%20with%20it.%0A%0A%3C!--%20Don%27t%20edit%20below%20this%20line%20--%3E%0A%0A%2Flabel%20~documentation%20~%22docs%5C-comments%22%20&issue[title]=Docs%20feedback:%20Write%20your%20title"
            target="_blank"
            rel="noopener noreferrer"
            >Create an issue</a
          >
          to suggest an improvement to this page.<br />
          <%# Show comments only in production and on the default branch (hide archives) %> <% if
          @item[:comments].nil? && production? && ENV['CI_COMMIT_REF_NAME'] ==
          ENV['CI_DEFAULT_BRANCH'] %> <% unless @item.identifier.to_s.split('/')[1] == 'ce' %>
          <a class="help-and-feedback-link" href="#" onclick="loadDisqus();return false;"
            >Show and post comments</a
          >
          to review and give feedback about this page. <% end %> <% end %>
          <br />
        </div>

        <div class="mt-3">
          <h3 class="help-and-feedback-heading">Product</h3>
          <a
            class="help-and-feedback-link"
            href="https://gitlab.com/gitlab-org/gitlab/-/issues/new?issue[description]=Describe%20what%20you%20would%20like%20to%20see%20improved.%0A%0A%3C!--%20Don%27t%20edit%20below%20this%20line%20--%3E%0A%0A%2Flabel%20~%22docs%5C-comments%22%20&issue[title]=Docs%20-%20product%20feedback:%20Write%20your%20title"
            target="_blank"
            >Create an issue</a
          >
          if there's something you don't like about this feature.<br />
          <a
            class="help-and-feedback-link"
            href="https://gitlab.com/gitlab-org/gitlab/-/issues/new?issuable_template=Feature%20proposal%20-%20detailed&issue[title]=Docs%20feedback%20-%20feature%20proposal:%20Write%20your%20title"
            target="_blank"
            >Propose functionality</a
          >
          by submitting a feature request.<br />
          <a
            class="help-and-feedback-link"
            href="https://about.gitlab.com/community/gitlab-first-look/"
            target="_blank"
            >Join First Look</a
          >
          to help shape new features.
        </div>

        <div class="mt-3">
          <h3 class="help-and-feedback-heading">Feature availability and product trials</h3>
          <a class="help-and-feedback-link" href="https://about.gitlab.com/pricing/" target="_blank"
            >View pricing</a
          >
          to see all GitLab tiers and features, or to upgrade.<br />
          <a
            class="help-and-feedback-link"
            href="https://about.gitlab.com/free-trial/"
            target="_blank"
            >Try GitLab for free</a
          >
          with access to all features for 30 days.<br />
        </div>
      </div>

      <div class="col-md-4 right-col">
        <div class="help-subsection">
          <h3 class="help-and-feedback-heading">Get Help</h3>
          <p>
            If you didn't find what you were looking for,
            <a class="help-and-feedback-link" href="/search/" target="_blank">search the docs</a
            >.<br />
          </p>
          <p class="mt-3">
            If you want help with something specific and could use community support,
            <a class="help-and-feedback-link" href="https://forum.gitlab.com/" target="_blank"
              >post on the GitLab forum</a
            >.<br />
          </p>
          <p class="mt-3">
            For problems setting up or using this feature (depending on your GitLab
            subscription).<br />
          </p>

          <a
            href="https://about.gitlab.com/support/"
            target="_blank"
            class="btn support-btn mt-2 text-decoration-none"
            role="button"
            >Request support</a
          >
        </div>
      </div>
    </div>
  </div>
</div>

<div id="disqus_thread" class="disqus-comments-gitlab"></div>

<%= render '/comments.*' %>
<script src="<%= @items['/frontend/feedback/feedback.*'].path %>"></script>
<noscript
  >Please enable JavaScript to view the
  <a href="https://disqus.com/?ref_noscript" rel="nofollow"
    >comments powered by Disqus.</a
  ></noscript
>
<% end %>
